{% import "macro/form.twig" as form %}
<div class="container-fluid">
	<a href='#' onclick=permission.user() class='btn btn-primary fr'>Permit User</a>
	<a href='#' onclick=permission.batch() class='btn btn-primary fr'>Permit Batch</a>
	<h2>Examination:
		{{qpinfo[3]}}</h2>
	<hr>
	<div class="row">
		<div class="form-group col-md-12 form-group">
			<form method="post">
				<table class='table tbl-responsive'>
					<tr>
						<th>User</th>
						<th>Name</th>
						<th>Batch</th>
						<th colspan="4"></th>
					</tr>
					{% for priv in permissions %}
						<tr class="width-th1">
							<th>
								{{users[priv.user].user}}
							</th>
							<td>
								{{users[priv.user].name}}
							</td>
							<td>
								{{users[priv.user].batch}}
							</td>
							<td>
								{% if priv.attempt ==0 %}Attempted{% else %}Not Attempted
								{% endif %}
							</td>
						</tr>
					{% endfor %}
				</table>
			</form>
		</div>
	</div>
</div>
<div frm="indvpermission" class="popup">
	<h2>Grant permission to user</h2>
	<form method="post">
		{{form.editor("Users","users","")}}
		<span>Add list of usernames, <br>one in each row.</span>
		{{form.hidden("action","permit-exam-user")}}
		{{form.hidden("category",qpinfo[0])}}
		{{form.hidden("subject",qpinfo[2])}}
		{{form.hidden("title",qpinfo[3])}}
		{{form.hidden("type",qpinfo[4])}}
		<button class="btn btn-primary fr">Grant Permission</button>
	</form>
</div>

<div frm="batch" class="popup">
	<h2>Grant permission to batch</h2>
	<form method="post">
		{{form.input("Batch","batch","")}}
		{{form.hidden("action","permit-exam-batch")}}
		{{form.hidden("category",qpinfo[0])}}
		{{form.hidden("subject",qpinfo[2])}}
		{{form.hidden("title",qpinfo[3])}}
		{{form.hidden("type",qpinfo[4])}}
		<button class="btn btn-primary fr">Grant Permission</button>
	</form>
</div>
